#ifndef TETRIS_BLOCK_INCLUDED
#define TETRIS_BLOCK_INCLUDED

#include "Common.h"

class CTetrisBlock
{

public:
	void Create();
	void Draw();
	void Destroy();

	CTetrisBlock();
	virtual ~CTetrisBlock();

	bool Rotate(int direction, int origin_x, int origin_y, bool can_rotate_test);
	bool Move(int direction, bool can_move_test);

	int GetPosX();
	int GetPosY();

	void SetPosX(int x);
	void SetPosY(int y);

private:
	int m_iPosX, m_iPosY;

};

#endif